
.scroll-to-top {
    position: fixed;
    bottom: 20px;
    right: 20px;
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #1d1d1d;
    color: white;
    border-radius: 50%;
    border: 2px solid transparent;
    cursor: pointer;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  }
  
  .scroll-to-top i {
    font-size: 20px;
  }
  
  .scroll-to-top::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 50%;
    border: 2px solid #f08f74;
    clip-path: inset(0 0 100% 0);
    transition: clip-path 0.3s ease-out;
    z-index: -1; 
  }
  
  .loader-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #1d1d1d;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
  }
  
  /* Loading text */
  .loading-text {
    font-size: 50px; 
    font-weight: 200; 
    font-family: 'Space Grotesk', serif; 
    letter-spacing: 5px; 
    text-transform: uppercase; 
    background: linear-gradient(90deg, #ddd, #ffffff, #ddd, grey);
    color: transparent; 
    background-clip: text; 
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent; 
    animation: gradient-shift 7s ease-in-out infinite;
  }
  
  /* Gradient animation */
  @keyframes gradient-shift {
    0% {
      background-position: 0% 50%;
    }
    50% {
      background-position: 100% 50%;
    }
    100% {
      background-position: 0% 50%;
    }
  }
  
  
  @media (max-width: 767px) { 
  .loading-text{
    font-size: 30px;
  }
  
   }